commit 3f744d10dcfe3caa9ae787eb673df00b293ce841
Author: freddy77 <freddy77>
Date:   Fri Aug 22 05:27:21 2008 +0000

    fix tds_send_emulated_execute if no parameters

diff --git a/ChangeLog b/ChangeLog
index 0474ce3..6c1744f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Aug 22 07:25:58 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/query.c:
+	- applied modified patch from Chris Reeves for fix
+	  tds_send_emulated_execute if no parameters
+
 Mon Aug 18 15:30:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsbytes.h include/tdsodbc.h src/apps/tsql.c:
 	* src/dblib/dblib.c src/odbc/connectparams.c:
@@ -574,4 +579,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2591 2008/08/18 13:31:26 freddy77 Exp $
+$Id: ChangeLog,v 1.2592 2008/08/22 05:27:21 freddy77 Exp $
diff --git a/src/tds/query.c b/src/tds/query.c
index 818c86d..134b7ca 100644
--- a/src/tds/query.c
+++ b/src/tds/query.c
@@ -46,7 +46,7 @@
 
 #include <assert.h>
 
-TDS_RCSID(var, "$Id: query.c,v 1.224 2008/08/18 13:31:28 freddy77 Exp $");
+TDS_RCSID(var, "$Id: query.c,v 1.225 2008/08/22 05:27:22 freddy77 Exp $");
 
 static void tds_put_params(TDSSOCKET * tds, TDSPARAMINFO * info, int flags);
 static void tds7_put_query_params(TDSSOCKET * tds, const char *query, int query_len);
@@ -2970,7 +2970,7 @@ tds_send_emulated_execute(TDSSOCKET * tds, const char *query, TDSPARAMINFO * par
 	START_QUERY;
 	if (!num_placeholders) {
 		tds_put_string(tds, query, -1);
-		return tds_flush_packet(tds);
+		return TDS_SUCCEED;
 	}
 
 	s = query;

